Subject: Re: bug#9496: 24.0.50; Segfault on TAB-only composition

From: Paul Eggert <[email-masked]>
Date: Sat, 04 Feb 2012 15:43:56 -0800

On 02/04/2012 12:14 AM, Eli Zaretskii wrote:
> It would be a much better solution if char_width would limit the
> result to the same sane limit we have in all the related functions and
> macros, i.e. to 1000.

OK, that's doable, but if done in isolation it would introduce other
bugs, no?  If char-width returns a value that's arbitrarily ceilinged
at 1000, but actual characters can be wider than 1000 columns,
code that uses char-width to count columns will be buggy.

We could address this by changing the code that renders characters,
so that the code limits them to at most 1000 columns on the display.
That's what's done with tabs, so there's good precedent for it.
This would require changes to the rendering code so that it matches
the altered char-width that's ceilinged at 1000.